
Vehicle.registerJointType("attachableFrontloader");

MAN = {};

function MAN.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function MAN:load(xmlFile)

    
	
	-- fix by modelleicher:
	self.isSelected = false;
end;

function MAN:delete()
	
end;

function MAN:readStream(streamId, connection)
end;

function MAN:writeStream(streamId, connection)
end;

function MAN:mouseEvent(posX, posY, isDown, isUp, button)
end;

function MAN:keyEvent(MANcode, sym, modifier, isDown)
end;

function MAN:update(dt)
   
		
		-- fix by modelleicher:
		if self:getIsActiveForInput() then
			self.isSelected = true;
		else	
			self.isSelected = false;
		end;
    end;


function MAN:updateTick(dt)

   
end;

function MAN:draw()
    
	
	end;

function MAN:attachImplement(implement)

	
end;

function MAN:detachImplement(implementIndex)

	
end;

function MAN:validateAttacherJoint(implement, jointDesc, dt)
    
end;

function MAN:onLeave()
   
	
end;

function MAN:onEnter()
	
end;